cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/rosters/{roster}/save_template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"week_start": "2023-11-07T05:31:56Z",
"with_staffing": true
}
'import requests
url = "https://{tenant}.stamp.eu/rest/rosters/{roster}/save_template"
payload = {
"name": "<string>",
"week_start": "2023-11-07T05:31:56Z",
"with_staffing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', week_start: '2023-11-07T05:31:56Z', with_staffing: true})
};
fetch('https://{tenant}.stamp.eu/rest/rosters/{roster}/save_template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"kind": "<string>",
"cycle_length_weeks": "<string>",
"pattern": "<string>",
"unit_id": "<string>",
"group_count": 123,
"entries_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Dienstplan
Dienstplan als Vorlage speichern
POST
/
rosters
/
{roster}
/
save_template
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The roster ID
Body
application/json
Response
RosterTemplateResource
Show child attributes
Show child attributes
⌘I